API Reference
Users
8 endpoints· Auth: JWT or API Key
get
/api/v1/console/users JWT API KeyGet users
Query parameters
| RoleId string (uuid) | — |
| Active boolean | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/users" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/users JWT API KeyCreate users
Request body
application/json
{
"name": "string",
"email": "string",
"roleId": "00000000-0000-0000-0000-000000000000"
}| name string | — |
| email string | — |
| roleId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/users" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"email": "string",
"roleId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/users/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/users/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
patch
/api/v1/console/users/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"roleId": "00000000-0000-0000-0000-000000000000",
"branchId": "00000000-0000-0000-0000-000000000000",
"active": false
}| name string | — |
| roleId string (uuid) | — |
| branchId string (uuid) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/users/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"roleId": "00000000-0000-0000-0000-000000000000",
"branchId": "00000000-0000-0000-0000-000000000000",
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/users/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/users/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/users/{id}/resend-invite JWT API KeyCreate resend-invite
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/users/{id}/resend-invite" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/users/{id}/reset-password JWT API KeyCreate reset-password
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"newPassword": "string"
}| newPassword string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/users/{id}/reset-password" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"newPassword": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/users/roles JWT API KeyGet roles
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/users/roles" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu